@echo off
echo --------------------------------------------------
echo testing microwav_console
echo ensure test wave file is present and can be played
echo --------------------------------------------------
microwav_console
echo --------------------------------------------------
microwav_console MicroWav_Console_Test.wav
if errorlevel 1 goto a1
echo   exit code is 0 (incorrect!!!)
goto a2
:a1
echo   exit code is 1 (as it should be)
:a2
microwav_console aa
if errorlevel 1 goto b1
echo   exit code is 0 (as it should be)
goto b2
:b1
echo   exit code is 1 (incorrect!!!)
:b2
echo --------------------------------------------------
echo testing microwav_console_extreme
echo --------------------------------------------------
microwav_console_extreme MicroWav_Console_Test.wav
if errorlevel 1 goto c1
echo   exit code is 0 (incorrect!!!)
goto c2
:c1
echo   exit code is 1 (as it should be)
:c2
microwav_console_extreme aa
if errorlevel 1 goto d1
echo   exit code is 0 (as it should be)
goto d2
:d1
echo   exit code is 1 (incorrect!!!)
:d2
echo --------------------------------------------------
echo done.